public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/webrick/
Date: Sat,  2 Nov 2024 07:27:51 +0000 (UTC)	[thread overview]
Message-ID: <1730532459.3d4fafdf8b66e38b2ece662c17f38730d41c20c6.graaff@gentoo> (raw)

commit:     3d4fafdf8b66e38b2ece662c17f38730d41c20c6
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Nov  2 07:26:59 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Nov  2 07:27:39 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d4fafdf

dev-ruby/webrick: add 1.9.0

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/webrick/Manifest             |  1 +
 dev-ruby/webrick/webrick-1.9.0.ebuild | 29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-ruby/webrick/Manifest b/dev-ruby/webrick/Manifest
index e52260a64887..f1792f76c23d 100644
--- a/dev-ruby/webrick/Manifest
+++ b/dev-ruby/webrick/Manifest
@@ -1,3 +1,4 @@
 DIST webrick-1.7.0.tar.gz 114413 BLAKE2B ff0d09a3137edabde37392d4c8a5e1f37d9899c60db8e96e4034ef60626225c0508c6b2797281878bbb7a0c6db16e20bd46a83b61b3de2ed059cb95e80255a38 SHA512 785e8c6af6e2f8ac497bab6d0ad0e9383fa4c4ac8dee6ceee38e20c5e9b631b805ec3c8f5438ebea651ee4113698de1a370ae506927bdc04e512ea6cac433cd1
 DIST webrick-1.8.1.tar.gz 91111 BLAKE2B eff3f2dff64d017fa0ef5370b07d97bfcd39f1df426a3b04ffdd0b5b0ea43cdd5d267420ea64bd0c3e4de3f1ee88df2f09959fd17b2b158b5ce0ddc16995b2bb SHA512 21cb396887025f85cfe04868e7fa7ef039809ca42a3acadfe1decb4dcd02eeeb3c9163e970324b56a9e0eb6202d971370af56e200c69de2d224c1941f866400c
 DIST webrick-1.8.2.tar.gz 82463 BLAKE2B e31a61bebfe93273f6515286e3cb4b94704d335528240addaf69121a5734a512c413701e6ba58f2a74382a58dc11f56604ad2527acb6584d23c1d773c8a6b4da SHA512 aedc6588478c02d17274a2df178be39a418885728a0d684758505bad0abdc35111e3d7134f02ee1d18c4ca8983028568db5d2b386b885a393fbd8fba1a540cd3
+DIST webrick-1.9.0.tar.gz 94446 BLAKE2B a3b96d57a78b517507c7191b8cc2b6dbff4a2db82bb0516ebaf20c9102cc906d7aa9315cb9b0abcdaee9f15d15e59eb0a8d38e9d5c6559d482694e43840aab18 SHA512 267f8e3b733b5065223d1b65d7e827a757e01929370e053b25346f799c325155235d1a1aa7cedf09745ab0dd388333799731f2c405bc33fc16c705cdfc4a606a

diff --git a/dev-ruby/webrick/webrick-1.9.0.ebuild b/dev-ruby/webrick/webrick-1.9.0.ebuild
new file mode 100644
index 000000000000..23ebe7e42e1d
--- /dev/null
+++ b/dev-ruby/webrick/webrick-1.9.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="webrick.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An HTTP server toolkit"
+HOMEPAGE="https://github.com/ruby/webrick"
+SRC_URI="https://github.com/ruby/webrick/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( Ruby-BSD BSD-2 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_depend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+	sed -i -e "s:_relative ': './:" ${RUBY_FAKEGEM_GEMSPEC} || die
+
+	# Increase timeout for test to help out slow arches
+	sed -i -e '/EnvUtil.timeout(10) do/s:10:60:' test/webrick/test_ssl_server.rb || die
+}


             reply	other threads:[~2024-11-02  7:27 UTC|newest]

Thread overview: 47+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-11-02  7:27 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-02  6:39 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/webrick/ Hans de Graaff
2024-11-02  7:27 Hans de Graaff
2024-10-25 12:02 Arthur Zamarin
2024-10-24  8:05 Arthur Zamarin
2024-10-23 20:39 Arthur Zamarin
2024-10-13 21:41 Sam James
2024-10-11  7:21 Hans de Graaff
2024-10-11  2:38 Sam James
2024-09-24  4:32 Hans de Graaff
2024-07-17  4:38 Viorel Munteanu
2024-05-26  7:20 Hans de Graaff
2024-05-26  6:57 Hans de Graaff
2023-12-26 15:53 Hans de Graaff
2023-08-28  9:25 Hans de Graaff
2023-04-07 10:19 Sam James
2023-04-07 10:18 Sam James
2023-04-07  4:14 Sam James
2023-04-07  4:12 Sam James
2023-04-07  4:12 Sam James
2023-04-01 23:53 Sam James
2023-04-01 23:53 Sam James
2023-03-28 20:20 Sam James
2023-03-28 19:24 Sam James
2023-03-28 19:24 Sam James
2023-03-28 19:24 Sam James
2023-03-28 19:24 Sam James
2023-03-28 19:24 Sam James
2023-03-28 19:05 Sam James
2023-03-28 19:05 Sam James
2023-03-07  6:34 Hans de Graaff
2023-03-04 10:25 Hans de Graaff
2023-01-28  8:38 Hans de Graaff
2023-01-27  8:01 Hans de Graaff
2022-03-12  7:21 Hans de Graaff
2022-01-24 23:43 Sam James
2021-12-04 15:09 Sam James
2021-12-01 13:30 Agostino Sarubbo
2021-11-24  9:08 Agostino Sarubbo
2021-11-23  7:40 Agostino Sarubbo
2021-11-22 19:20 Sam James
2021-11-22 19:20 Sam James
2021-07-21 10:27 Marek Szuba
2021-02-04  5:56 Hans de Graaff
2021-01-06 18:32 Fabian Groffen
2020-12-28  8:32 Hans de Graaff
2020-12-28  7:46 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1730532459.3d4fafdf8b66e38b2ece662c17f38730d41c20c6.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox